Skip to main content
GET
/
api2
/
v2
/
users
/
{userUid}
Get user
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v2/users/{userUid} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "userName": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "dateCreated": "2023-11-07T05:31:56Z",
  "dateDeleted": "2023-11-07T05:31:56Z",
  "createdBy": {
    "firstName": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "email": "<string>",
    "role": "SYS_ADMIN",
    "id": "<string>",
    "uid": "<string>"
  },
  "role": "SYS_ADMIN",
  "timezone": "<string>",
  "note": "<string>",
  "mayEditApprovedTerms": true,
  "mayRejectJobs": true,
  "editorMachineTranslateEnabled": true,
  "receiveNewsletter": true,
  "mayEditTranslationMemory": true,
  "maySeeProviderNames": true,
  "sourceLangs": [
    "<string>"
  ],
  "targetLangs": [
    "<string>"
  ],
  "workflowSteps": [
    {
      "name": "<string>",
      "id": "<string>",
      "uid": "<string>",
      "order": 123,
      "lqaEnabled": true
    }
  ],
  "clients": [
    {
      "id": "<string>",
      "uid": "<string>",
      "name": "<string>"
    }
  ],
  "domains": [
    {
      "id": "<string>",
      "uid": "<string>",
      "name": "<string>"
    }
  ],
  "subDomains": [
    {
      "id": "<string>",
      "uid": "<string>",
      "name": "<string>"
    }
  ],
  "projectBusinessUnits": [
    {
      "id": "<string>",
      "uid": "<string>",
      "name": "<string>"
    }
  ],
  "organization": {},
  "priceList": {
    "id": "<string>",
    "uid": "<string>",
    "name": "<string>"
  },
  "netRateScheme": {
    "id": "<string>",
    "uid": "<string>",
    "name": "<string>",
    "dateCreated": "2023-11-07T05:31:56Z",
    "createdBy": {
      "firstName": "<string>",
      "lastName": "<string>",
      "userName": "<string>",
      "email": "<string>",
      "role": "SYS_ADMIN",
      "id": "<string>",
      "uid": "<string>"
    }
  },
  "automationWidgets": [
    {
      "id": "<string>",
      "uid": "<string>",
      "name": "<string>"
    }
  ],
  "active": true
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

userUid
string
required

Response

successful operation

User with all belonging objects

id
string
read-only
userName
string
firstName
string
lastName
string
email
string
dateCreated
string<date-time>
dateDeleted
string<date-time>
createdBy
object
role
enum<string>
Available options:
SYS_ADMIN,
SYS_ADMIN_READ,
ADMIN,
PROJECT_MANAGER,
LINGUIST,
GUEST,
SUBMITTER,
PORTAL_MEMBER,
BOT
timezone
string
note
string
mayEditApprovedTerms
boolean

Default: false

mayRejectJobs
boolean

Default: false

editorMachineTranslateEnabled
boolean

Default: true

receiveNewsletter
boolean

Default: true

mayEditTranslationMemory
boolean

Default: false

maySeeProviderNames
boolean

Default: false

sourceLangs
string[]
targetLangs
string[]
workflowSteps
object[]
clients
object[]
domains
object[]
subDomains
object[]
projectBusinessUnits
object[]
organization
object
priceList
object
netRateScheme
object
automationWidgets
object[]
active
boolean